MemoriesPagesImageOptions
Rust struct goodmem::api::MemoriesPagesImageOptions: declaration, fields or variants, and implementations.
Struct MemoriesPagesImageOptions
goodmem::api::MemoriesPagesImageOptions
Query parameters and headers for memories.pages_image.
pub struct MemoriesPagesImageOptions {
pub range: Option<String>,
pub accept_encoding: Option<String>,
pub if_match: Option<String>,
pub dpi: Option<i32>,
pub content_type: Option<String>,
}Fields
range
pub range: Option<String>
Single byte range, for example bytes=1024-
Wire name: Range.
accept_encoding
pub accept_encoding: Option<String>
Use identity to receive a strong ETag for conditional downloads
Wire name: Accept-Encoding.
if_match
pub if_match: Option<String>
Saved strong ETag, including quotes. A mismatch returns 412
Wire name: If-Match.
dpi
pub dpi: Option<i32>
Optional rendition filter. If omitted, the unique page-image rendition for the page is returned; if multiple renditions exist, specify dpi and/or contentType.
Wire name: dpi.
content_type
pub content_type: Option<String>
Optional rendition filter. MIME type of the desired page image, such as image/png.
Wire name: contentType.
Trait implementations
Clone(derived)Debug(derived)Default(derived)Serialize(derived)